### Method

# Camel SExp result_new

since: 3.4

#### Declaration [src]

    CamelSExpResult*
    camel_sexp_result_new (
      CamelSExp* sexp,
      gint type
    )

#### Description

No description available.

Available since: 3.4

This method is not directly available to language bindings.

#### Parameters

`type`

  Type: `gint`

  Type of the result, one of `CamelSExpResultType`.

#### Return value

Type: `CamelSExpResult`

A new `CamelSExpResult` result structure, associated with `sexp`. Free with camel_sexp_result_free(), when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.